blue = Color.new(0,0,255)
green = Color.new(0,255,0)
white = Color.new(255,255,255)
orange = Color.new(255, 128, 0)
black = Color.new(0,0,0)
background = Image.load("flag.png")
--------------
--Variables

Select = 1

maxSelect = 3

oldpad = Controls.read()

--Loop
while true do

screen:clear()
pad = Controls.read()
screen:clear()



--Category select
if pad:up() and oldpad:up() ~= pad:up() then
Select = Select - 1
end
if pad:down() and oldpad:down() ~= pad:down() then
Select = Select + 1
end
if Select > maxSelect then
Select = 1
elseif Select <= 0 then
Select = maxSelect
end
--selections
if Select == 1 then
screen:clear()
screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(195,80,"British Bulldog(BETA)", black)
screen:print(195,90,"By: The Undead", black)
screen:print(210,100,"Settings", black)
screen:print(210,120,"Easy", orange)
screen:print(210,130,"medium",white)
screen:print(210,140,"hard",white)
end
if Select == 2 then
screen:clear()
screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(195,80,"British Bulldog(BETA)", black)
screen:print(195,90,"By: The Undead", black)
screen:print(210,100,"Settings", black)
screen:print(210,120,"easy", white)
screen:print(210,130,"MEDIUM",orange)
screen:print(210,140,"hard",white)
end
if Select == 3 then
screen:clear()
screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(195,80,"British Bulldog(BETA)", black)
screen:print(195,90,"By: The Undead", black)
screen:print(210,100,"Settings", black)
screen:print(210,120,"easy", white)
screen:print(210,130,"medium",white)
screen:print(210,140,"HARD",orange)
end

--pads
if pad:cross() and Select == 1 then
dofile("./easy1.lua")
end
if pad:cross() and Select == 2 then
dofile("./medium.lua")
end
if pad:cross() and Select == 3 then
dofile("./hard.lua")
end
screen:print(0,0,"Beta Version",green)
screen:print(0,10,"By The Undead",green)
screen:print(0,20,"British Bulldog",green)
--end of index
screen.waitVblankStart()
screen.flip()
oldpad = pad
end